make Mac OS X 10.6 the minimum system version

RESOLVED FIXED in Firefox 17

Status

()

Firefox
General
RESOLVED FIXED
5 years ago
4 years ago

People

(Reporter: Josh Aas, Assigned: Josh Aas)

Tracking

Trunk
Firefox 17
x86
Mac OS X
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

Comment hidden (empty)
(Assignee)

Comment 1

5 years ago
The current plan is to do this for Firefox 17.
(Assignee)

Comment 2

5 years ago
Created attachment 640844 [details] [diff] [review]
fix v1.0
Attachment #640844 - Flags: review?(gavin.sharp)
(Assignee)

Updated

5 years ago
Blocks: 772735
Comment on attachment 640844 [details] [diff] [review]
fix v1.0

I imagine we'll need to disable the 10.5 build/test machines before landing this? Is there a bug tracking that?
Attachment #640844 - Flags: review?(gavin.sharp) → review+
(Assignee)

Comment 4

5 years ago
(In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment #3)

> I imagine we'll need to disable the 10.5 build/test machines before landing
> this? Is there a bug tracking that?

I was planning to file one, will do it now.
Blocks: 774509
(In reply to Josh Aas (Mozilla Corporation) from comment #4)
> I was planning to file one, will do it now.

Bug 773120, for those following along. (This bug only loosely depends on that one, since armen/myself have hidden OS X 10.5 on tbpl, so the tree won't appear busted; we'll just be wasting cycles/machines)

Comment 6

5 years ago
Firefox 17 is the next major ESR version, so this won't give an extra one-year delay for organizations to migrate their old Macs. Do you have feedback from ESR users about that?
(Assignee)

Comment 7

5 years ago
(In reply to Scoobidiver from comment #6)
> Firefox 17 is the next major ESR version, so this won't give an extra
> one-year delay for organizations to migrate their old Macs. Do you have
> feedback from ESR users about that?

This has been considered, we're not planning any sort of 10.5 support for the next esr, nor are we recommending esr for 10.5 users. Asa know more about this if you want more info.
(Assignee)

Comment 8

5 years ago
pushed to mozilla-inbound

https://hg.mozilla.org/integration/mozilla-inbound/rev/0df827058bf5
https://hg.mozilla.org/mozilla-central/rev/0df827058bf5
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 17
Blocks: 775744
Does this patch also make the Webapp Runtime in Firefox have a minimum OS version for Mac at OS X 10.6?
(Assignee)

Comment 11

5 years ago
(In reply to Jason Smith [:jsmith] from comment #10)
> Does this patch also make the Webapp Runtime in Firefox have a minimum OS
> version for Mac at OS X 10.6?

I don't know anything about how the webapp runtime works, so I don't know. This patch marks the Firefox app bundle as requiring Mac OS X 10.6.
Blocks: 776467
Blocks: 778664
Blocks: 778969

Updated

5 years ago
Blocks: 783554
You need to log in before you can comment on or make changes to this bug.